> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rogeriq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List installed integrations

` GET /projects/{projectId}/integrations `

List installed integrations

## Servers

- ` https://api.rogeriq.com/api/v1 `

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key with `riq_` prefix

## Parameters

### ` projectId ` (path, required)

- ` value `: type ` string `

## Responses

### ` 200 ` — Installed integrations

Content type: ` application/json `

- ` value `: type ` object `

  - ` data `: type ` array `

    - ` array item `: type ` object ` — An installed third-party integration

      - ` id `: type ` string `

      - ` provider `: type ` string ` — e.g. slack, github, shopify, stripe, linear, discord

      - ` status `: type ` string `

        - enum: ` ["active","paused","disconnected","error"] `

      - ` display_name `: type ` string `; nullable

      - ` setup_type `: type ` string `

      - ` health_status `: type ` string `

      - ` sidebar_enabled `: type ` boolean `

      - ` last_synced_at `: type ` string `; nullable; format ` date-time `

      - ` error_message `: type ` string `; nullable

      - ` created_at `: type ` string `; format ` date-time `

      - ` updated_at `: type ` string `; format ` date-time `

## Request examples

### cURL

```curl
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/integrations' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/integrations', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.rogeriq.com/api/v1/projects/string/integrations', headers=headers)
print(response.json())
```